<div #miamCatalogTopAnchor class="miam-catalog-anchor"></div>
<div *ngIf="!creatingRecipe else creationPage" class="miam-favorite-page">
  <ng-miam-recipe-filters
    [filters]="filters"
    (filterReset)="resetFilters()"
    (filterChanged)="updateFilters($event)"
    (filterCollapsed)="onFilterCollapsed()">
  </ng-miam-recipe-filters>

  <div class="miam-favorite-page__content" [ngClass]="{'filter-collapsed': isFilterCollapsed}">

    <ng-miam-catalog-header 
      [displayReturnButton]="false"
      [forcedPictureUrl]="forcedPictureUrl"
      [title]="homePageTitle"
      (searchStringChanged)="updateSearch($event)">
    </ng-miam-catalog-header>

    <div class="miam-favorite-page__list">
      <ng-miam-catalog-list
        [filters]="filters"
        [noRecipeTextFirstLine]= "noRecipeTextFirstLine"
        [noRecipeTextSecondLine]="'Ajoutez-en facilement en cliquant sur l’icône coeur sur les vignettes recettes'"
        (filterRemoved)="removeFilter($event)"
        (recipeActionTriggered)="manageRecipeAction($event)">
      </ng-miam-catalog-list>
    </div>
  </div>
</div>
<ng-template #creationPage>
  <ng-miam-recipe-stepper [recipe]="recipeToUpdate" (recipeChange)="leaveCreatePage()" (canceled)="leaveCreatePage()"></ng-miam-recipe-stepper>
</ng-template>